低危 Yargs yn Prototype Pollution漏洞

CVE编号

CVE-2020-7774

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-18
漏洞描述
Yargs Y18n是Yargs个人开发者的一个类似I18n的由Js编写的代码库。 y18n 5.0.5之前版本存在安全漏洞,PoC by po6ix: const y18n = require('y18n')(); y18n.setLocale('__proto__'); y18n.updateLocale({polluted: true}); console.log(polluted); // true

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://github.com/yargs/y18n/pull/108


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 y18n_project y18n * Up to
(excluding)
4.0.1
运行在以下环境
应用 y18n_project y18n * From
(including)
5.0.0
Up to
(excluding)
5.0.5
运行在以下环境
系统 alibaba_cloud_linux_2.1903 nodejs * Up to
(excluding)
14.15.4-2.1.al8
运行在以下环境
系统 alpine_3.10 nodejs * Up to
(excluding)
10.24.1-r0
运行在以下环境
系统 alpine_3.11 nodejs * Up to
(excluding)
12.22.1-r0
运行在以下环境
系统 alpine_3.12 nodejs * Up to
(excluding)
12.22.1-r0
运行在以下环境
系统 alpine_3.13 nodejs * Up to
(excluding)
14.16.1-r0
运行在以下环境
系统 alpine_3.14 nodejs * Up to
(excluding)
14.16.1-r0
运行在以下环境
系统 alpine_3.15 nodejs * Up to
(excluding)
14.16.1-r0
运行在以下环境
系统 alpine_3.16 nodejs * Up to
(excluding)
14.16.1-r0
运行在以下环境
系统 alpine_edge nodejs * Up to
(excluding)
14.16.1-r0
运行在以下环境
系统 centos_8 nodejs * Up to
(excluding)
12.19.1-1.module+el8.3.0+8851+b7b41ca0
运行在以下环境
系统 debian_10 nodejs * Up to
(excluding)
3.2.1-2+deb10u1
运行在以下环境
系统 debian_11 nodejs * Up to
(including)
4.0.0-2
运行在以下环境
系统 debian_9 nodejs * Up to
(including)
3.2.1-2
运行在以下环境
系统 debian_sid nodejs * Up to
(including)
4.0.0-2
运行在以下环境
系统 opensuse_Leap_15.2 nodejs * Up to
(excluding)
8.17.0-lp152.3.14.1
运行在以下环境
系统 opensuse_Leap_15.3 nodejs * Up to
(excluding)
8.17.0-10.12.2
运行在以下环境
系统 oracle_8 nodejs * Up to
(excluding)
1.18.3-1.module+el8.1.0+5393+aaf413e3
运行在以下环境
系统 redhat_8 nodejs * Up to
(excluding)
12.19.1-1.module+el8.3.0+8851+b7b41ca0
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-915 动态确定对象属性修改的控制不恰当
阿里云安全产品覆盖情况